# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python STATISTICS-MIB

FILENAME = "hpSwitchStat.mib"

MIB = {
    "moduleName" : "STATISTICS-MIB",

    "STATISTICS-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv1",
    },

    "imports" : (
        {"module" : "RFC1155-SMI", "name" : "Counter"},
        {"module" : "RFC1155-SMI", "name" : "IpAddress"},
        {"module" : "", "name" : "OBJECT-TYPE"},
        {"module" : "RFC1213-MIB", "name" : "DisplayString"},
        {"module" : "HP-ICF-TC", "name" : "HpSwitchPortType"},
        {"module" : "HP-ICF-OID", "name" : "hpSwitch"},
    ),

    "typedefs" : {
        "MacAddress" : {
            "basetype" : "OctetString",
            "ranges" : [
            {
                "min" : "6",
                "max" : "6"
            },
            ],
            "range" : {
                "min" : "6",
                "max" : "6"
            },
        },
        "VlanID" : {
            "basetype" : "Integer32",
            "ranges" : [
            {
                "min" : "1",
                "max" : "65535"
            },
            ],
            "range" : {
                "min" : "1",
                "max" : "65535"
            },
        },
    }, # typedefs

    "nodes" : {
        "hpSwitchStatistics" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9",
        }, # node
        "hpSwitchIpxStat" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1",
        }, # node
        "hpSwitchIpxStatTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1",
            "status" : "current",
            "description" :
                """A table that contains information about the
operational IPX status of the virtual LAN in this
device.""",
        }, # table
        "hpSwitchIpxStatEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1.1",
            "status" : "current",
            "linkage" : [
                "hpSwitchIpxStatIndex",
            ],
            "description" :
                """Information about the operational IPX status of a
virtual LAN in this device.""",
        }, # row
        "hpSwitchIpxStatIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "VlanID"},
            },
            "access" : "readonly",
            "description" :
                """An index that uniquely identifies the operational
IPX status of a virtual LAN for which this entry
contains information.""",
        }, # column
        "hpSwitchIpxStatNodeAddr" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The current IPX node address of this virtual LAN.""",
        }, # column
        "hpSwitchIpxStatGatewayAddr" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The current IPX node address of the gateway for
this virtual LAN.""",
        }, # column
        "hpSwitchIpxStatGatewayEncap" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "ethernetII" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "ieee8022" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "snap" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "ieee8023Raw" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "noGateway" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current type of encapsulation of the gateway.""",
        }, # column
        "hpSwitchIpxStatAdminStatus" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "enable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "disable" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The operational status of the IPX protocol entity.""",
        }, # column
        "hpSwitchIpStat" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2",
        }, # node
        "hpSwitchIpStatTimepAdminStatus" : {
            "nodetype" : "scalar",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.1",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "enable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "disable" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The operational status of the Time protocol.""",
        }, # scalar
        "hpSwitchIpStatTimepServerAddr" : {
            "nodetype" : "scalar",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.2",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The current IP address of the Time server.""",
        }, # scalar
        "hpSwitchIpStatTimepPollInterval" : {
            "nodetype" : "scalar",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.3",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current client poll interval of the Time server
in minute.""",
        }, # scalar
        "hpSwitchIpStatTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4",
            "status" : "obsolete",
            "description" :
                """A table that contains information about the current
IP status of the virtual LAN in this device.""",
        }, # table
        "hpSwitchIpStatEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4.1",
            "status" : "obsolete",
            "linkage" : [
                "hpSwitchIpStatIndex",
            ],
            "description" :
                """Information about the IP status of a specific virtual
LAN in this device.""",
        }, # row
        "hpSwitchIpStatIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4.1.1",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "VlanID"},
            },
            "access" : "readonly",
            "description" :
                """An index that uniquely identifies the IP status of
a virtual LAN for which this entry contains
information.""",
        }, # column
        "hpSwitchIpStatAddr" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4.1.2",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The current IP address of this Virtual LAN.""",
        }, # column
        "hpSwitchIpStatMask" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4.1.3",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The current IP subnet mask of this virtual LAN.""",
        }, # column
        "hpSwitchIpStatGatewayAddr" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4.1.4",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The current IP address of the gateway for this
virtual LAN.""",
        }, # column
        "hpSwitchIpStatAdminStatus" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.2.4.1.5",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "enable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "disable" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "bootp" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The operational status of the IP protocol for this
virtual LAN. If the value of this variable is 3, the
IP protocol entity will utilize BOOTP during
initialization.""",
        }, # column
        "hpSwitchFdbInfo" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4",
        }, # node
        "hpSwitchVlanFdbAddrTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.1",
            "status" : "current",
            "description" :
                """A table that contains information about unicast
entries for which the VLAN has forwarding and/or
filtering information.  This information is used
by the VLAN bridging function in determining how
to propagate a received frame.""",
        }, # table
        "hpSwitchVlanFdbAddrEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.1.1",
            "status" : "current",
            "linkage" : [
                "hpSwitchVlanFdbId",
                "hpSwitchVlanFdbAddress",
            ],
            "description" :
                """Information about a specific unicast MAC address
for which the VLAN has some forwarding and/or
filtering information.""",
        }, # row
        "hpSwitchVlanFdbId" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "VlanID"},
            },
            "access" : "readonly",
            "description" :
                """An index that uniquely identifies a virtual LAN
for which this entry contains information.""",
        }, # column
        "hpSwitchVlanFdbAddress" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A unicast MAC address for which the VLAN has
forwarding and/or filtering information.""",
        }, # column
        "hpSwitchVlanFdbPort" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The port number of the port on which a frame
having a source address equal to the value of
the corresponding instance of hpSwitchVlanFdbAddress
has been seen.""",
        }, # column
        "hpSwitchPortFdbAddrTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.2",
            "status" : "current",
            "description" :
                """A table that contains information about unicast
entries for which the port has forwarding and/or
filtering information.  This information is used
by the bridging function in determining how to
propagate a received frame.""",
        }, # table
        "hpSwitchPortFdbAddrEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.2.1",
            "status" : "current",
            "linkage" : [
                "hpSwitchPortFdbId",
                "hpSwitchPortFdbAddress",
            ],
            "description" :
                """Information about a specific unicast MAC address
for which the port has some forwarding and/or
filtering information.""",
        }, # row
        "hpSwitchPortFdbId" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.  The corresponding row in the
Interfaces Table must exist prior to the index being
used in this table.""",
        }, # column
        "hpSwitchPortFdbAddress" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.4.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """A unicast MAC address for which the port has
forwarding and/or filtering information.""",
        }, # column
        "hpSwitchStpStat" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.5",
        }, # node
        "hpSwitchStpStatAdminStatus" : {
            "nodetype" : "scalar",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.5.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "enable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "disable" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The operational status of the spanning tree protocol.""",
        }, # scalar
        "hpSwitchMiscStat" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.6",
        }, # node
        "hpSwitchCpuStat" : {
            "nodetype" : "scalar",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.6.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The CPU utilization in percent(%).""",
        }, # scalar
        "hpSwitchFddiIpFragStat" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7",
        }, # node
        "hpSwitchFddiIpFragStatTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7.1",
            "status" : "current",
            "description" :
                """A list of IP fragmentation statistics 
for the FDDI cards in the switch.""",
        }, # table
        "hpSwitchFddiIpFragStatEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7.1.1",
            "status" : "current",
            "linkage" : [
                "hpSwitchFddiIpFragStatIndex",
            ],
            "description" :
                """An Fddi IP fragmentation entry which is 
containing statictics for the FDDI 
cards in the switch.""",
        }, # row
        "hpSwitchFddiIpFragStatIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """A unique value for each FDDI Card.  
The value for each FDDI card must remain constant 
at least from one re-initialization of the entity's 
network management system to the next 
re-initialization.""",
        }, # column
        "hpSwitchFddiIpFragFramesFragmented" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """Number of FDDI Frames which get fragmented when they 
are larger than Ethernet Frame size, 1518 bytes.""",
        }, # column
        "hpSwitchFddiIpFragFramesCreated" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """Number of inbound FDDI frames which get created when
they larger than Ethernet Frame size, 1518 bytes.""",
        }, # column
        "hpSwitchFddiIpFragFrameErrors" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.7.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """Number of large inbound FDDI frames that contains
error which preventing them from being fragmented
when they are larger than Ethernet Frame size, 1518
bytes.  Or number of large frames which are dropped
because the FDDI IP fragmentation is disabled """,
        }, # column
        "hpSwitchFddiSystemStat" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8",
        }, # node
        "hpSwitchFddiSystemStatTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1",
            "status" : "current",
            "description" :
                """A list of system infomations and statistics 
for the FDDI cards in the switch.""",
        }, # table
        "hpSwitchFddiSystemStatEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1",
            "status" : "current",
            "linkage" : [
                "hpSwitchFddiSystemStatIndex",
            ],
            "description" :
                """An Fddi system entry which is 
containing statictics for the FDDI 
cards in the switch.""",
        }, # row
        "hpSwitchFddiSystemStatIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """A unique value for each FDDI Card.  
The value for each FDDI card must remain constant 
at least from one re-initialization of the entity's 
network management system to the next 
re-initialization.""",
        }, # column
        "hpSwitchFddiSystemOsVersion" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "10"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "10"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Contains the operating code version number (also
known as software or firmware). For example, a
software version such as A.08.01 is described as
follows:
    A    the function set available in your switch
    08   the common release number
    01   updates to the current common release""",
        }, # column
        "hpSwitchFddiSystemRomVersion" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "RFC1213-MIB",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "10"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "10"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Contains the ROM version number (such as A.08.01
is described as follows:
    A    the function set available in your router
    08   the common release number
    01   updates to the current common release""",
        }, # column
        "hpSwitchFddiSystemMemoryTotal" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of currently installed bytes.""",
        }, # column
        "hpSwitchFddiSystemMemoryFree" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The number of available (unallocated) bytes.""",
        }, # column
        "hpSwitchFddiSystemCpuUtil" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "100"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "100"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The CPU utilization in percent(%).""",
        }, # column
        "hpSwitchFddiSystemBuildDirectory" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "80",
                        "max" : "80"
                    },
                    ],
                    "range" : {
                        "min" : "80",
                        "max" : "80"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Build directory the FDDI firmware image """,
        }, # column
        "hpSwitchFddiSystemBuildDate" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "40",
                        "max" : "40"
                    },
                    ],
                    "range" : {
                        "min" : "40",
                        "max" : "40"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Build date and time of the FDDI firmware image""",
        }, # column
        "hpSwitchFddiSystemBuildNumber" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.8.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "20",
                        "max" : "20"
                    },
                    ],
                    "range" : {
                        "min" : "20",
                        "max" : "20"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Build number of the FDDI firmware image""",
        }, # column
        "hpABCStats" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9",
        }, # node
        "hpABCStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1",
            "status" : "current",
            "description" :
                """A table that contains statistic information about
Automatic Broadcast Control on any  given VLAN on
the switch.""",
        }, # table
        "hpABCStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1",
            "status" : "current",
            "linkage" : [
                "hpABCStatsVlanIndex",
                "hpABCStatsPortIndex",
            ],
            "description" :
                """The information associated with each row in the
ABC Statistics Table.""",
        }, # row
        "hpABCStatsVlanIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "VlanID"},
            },
            "access" : "readonly",
            "description" :
                """The value which uniquely identifies configuration of
a virtual LAN for which entry contains information.""",
        }, # column
        "hpABCStatsPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpABCStatsPortType" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"HP-ICF-TC", "name" : "HpSwitchPortType"},
            },
            "access" : "readonly",
            "description" :
                """The type of port.""",
        }, # column
        "hpABCStatsArpReplies" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """This counter reports the number of ARP responses sent
out by the switch (running ABC) to proxy respond for
hosts learned in the switch ARP cashe.""",
        }, # column
        "hpABCStatsIpxReplies" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """This counter reports the number of RIP and SAP
responses sent out by the switch (running ABC) to
proxy respond for routes and services learned by
switch.""",
        }, # column
        "hpABCStatsIpRipControl" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notforwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This status field shows if IP RIP packets are being
forwarded or not forwarded on the ports shown.""",
        }, # column
        "hpABCStatsIpxRipSapControl" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.9.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notforwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This status field shows if IPX RIP and/or IPX SAP
packets are being forwarded or not forwarded on the
ports shown.""",
        }, # column
        "hpIgmpStats" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10",
        }, # node
        "hpIgmpStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1",
            "status" : "current",
            "description" :
                """A table that contains statistic information about
Multicast Groups on any  given VLAN on the switch.""",
        }, # table
        "hpIgmpStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1.1",
            "status" : "current",
            "linkage" : [
                "hpIgmpStatsVlanIndex",
                "hpIgmpStatsActiveGroupAddr",
            ],
            "description" :
                """The information associated with each member in
particular multicast group.""",
        }, # row
        "hpIgmpStatsVlanIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "VlanID"},
            },
            "access" : "readonly",
            "description" :
                """The value which uniquely identifies configuration of
a virtual LAN for which entry contains information.""",
        }, # column
        "hpIgmpStatsActiveGroupAddr" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """An IP Multicast Group Membership address that has been
sent, via IGMP Membership Reports, through the switch
to querier.""",
        }, # column
        "hpIgmpStatsReports" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of IGMP report packets that the switch has
seen for this group address.""",
        }, # column
        "hpIgmpStatsQueries" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of IGMP query packets the switch has seen
for this group address.  Note: This object is based
on a group, thus if a query is heard before this
object's group joins, the value will be zero. It will
be non-zero when an all host query, or group specific
query for the assoicated group, is heard after the
associated group has joined.""",
        }, # column
        "hpIgmpStatsQuerierAccessPort" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The port on which the switch detects IGMP query
packets from the querier (device sending out query
packets). If no queries are heard, the value of the
object is zero and we are querier or electing to be
querier. Anytime a querier besides our switch is
heard the value of the object becomes the port number
on which the other querier was heard and the query
election process will be halted if currently running.""",
        }, # column
        "hpIgmpStatsPortTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.2",
            "status" : "obsolete",
            "description" :
                """A table that contains information about status
of the IGMP port configurations on this switch.""",
        }, # table
        "hpIgmpStatsPortEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.2.1",
            "status" : "obsolete",
            "linkage" : [
                "hpIgmpStatsActiveGroupAddr",
                "hpIgmpStatsPortIndex",
            ],
            "description" :
                """The information associated with status of each IGMP
port configuration.""",
        }, # row
        "hpIgmpStatsPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.2.1.1",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpIgmpStatsPortType" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.2.1.2",
            "status" : "obsolete",
            "syntax" : {
                "type" : { "module" :"HP-ICF-TC", "name" : "HpSwitchPortType"},
            },
            "access" : "readonly",
            "description" :
                """The type of port.""",
        }, # column
        "hpIgmpStatsPortAccess" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.2.1.3",
            "status" : "obsolete",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "host" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "router" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "host-router" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """If this value is host then this port has seen IGMP
report packets for this active group address. If this
value is router then this port has detected IGMP query
packets from the querier (device sending out query
packets). If this value is host-router then this port
has seen report packets, and IGMP query packets from
the querier.""",
        }, # column
        "hpIgmpStatsPortTable2" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3",
            "status" : "current",
            "description" :
                """A table that contains information about status
of the IGMP port configurations on this switch.
This table2 is supersedes hpIgmpStatsPortTable for
switches which support multiple vlans per port.""",
        }, # table
        "hpIgmpStatsPortEntry2" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3.1",
            "status" : "current",
            "linkage" : [
                "hpIgmpStatsVlanIndex",
                "hpIgmpStatsActiveGroupAddr",
                "hpIgmpStatsPortIndex2",
            ],
            "description" :
                """The information associated with status of each IGMP
port configuration.""",
        }, # row
        "hpIgmpStatsPortIndex2" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpIgmpStatsPortType2" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"HP-ICF-TC", "name" : "HpSwitchPortType"},
            },
            "access" : "readonly",
            "description" :
                """The type of port.""",
        }, # column
        "hpIgmpStatsPortAccess2" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "host" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "router" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "host-router" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """If this value is host then this port has seen IGMP
report packets for this active group address. If this
value is router then this port has detected IGMP query
packets from the querier (device sending out query
packets). If this value is host-router then this port
has seen report packets, and IGMP query packets from
the querier.""",
        }, # column
        "hpIgmpStatsPortAgeTimer2" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The timer is set when the switch hears a report
and is waiting for the group queries. If the timer
expires the group is considered non-active on the
specific port. The value returned shows how many
seconds left before the timer expires or 0 if the
timer has expired.""",
        }, # column
        "hpIgmpStatsPortLeaveTimer2" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.10.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The timer is set when the switch is waiting for a
report response for queries. If the timer expires the
group is considered non-active on the specific port.
The value returned shows how many seconds left before
the timer expires or 0 if the timer has expired.""",
        }, # column
        "hpLdbalStats" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11",
        }, # node
        "hpLdbalStatsPortTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11.1",
            "status" : "current",
            "description" :
                """A table that contains information about the
operational status of the load balancing ports on
this switch.""",
        }, # table
        "hpLdbalStatsPortEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11.1.1",
            "status" : "current",
            "linkage" : [
                "hpLdbalStatsPortIndex",
            ],
            "description" :
                """The information associated with ports configured
for load balancing.""",
        }, # row
        "hpLdbalStatsPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpLdbalStatsPortState" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "disabled" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "error" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "initial" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "notEstablished" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "established" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "topologyError" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This variable describes the load balancing port state. 
A disabled state indicates the port does not have a
link beat. An initial state indicates the port has
recently established a link beat and is detecting
whether or not it is in the load balancing domain. An
established state indicates that the port is inside
the load balancing domain, directly connected to
another load balancing port, and learning addresses
via the reception of MAC address learn information
packets.  A notEstablished state indicates that the
port is outside the load balancing domain, not
directly connected to a load balancing port, and
learning MAC address by receiving unknown source 
address packets. An error state indicates the port
has detected a direct connection to more than one
load balancing port and is blocked, only accepting
load balancing protocol packets.  When the error
condition clears, the port transitions either into
the established or not established state.""",
        }, # column
        "hpLdbalStatsAdjacentSwitch" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The switch identifier of the adjacent switch connected
to the corresponding load balancing established port.
If load balancing has not been established on this
port then this value is void.""",
        }, # column
        "hpLdbalStatsPeerPort" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.11.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The port identifier of the peer port connected to 
the corresponding load balancing established port. If
load balancing has not been established on this port
then this value is void.""",
        }, # column
        "hpSwitchMacStats" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.12",
        }, # node
        "hpSwitchFdbAddressCount" : {
            "nodetype" : "scalar",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.12.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "16384"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "16384"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Keep a counter for the total number of MAC
Addresses currently learnt on the box.""",
        }, # scalar
        "hpSwitchFlowControlStatus" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.13",
        }, # node
        "hpSwitchFlowControlStatusTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.13.1",
            "status" : "current",
            "description" :
                """A table that contains information about the
operational status of flow control on this switch.""",
        }, # table
        "hpSwitchFlowControlStatusEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.13.1.1",
            "status" : "current",
            "linkage" : [
                "hpSwitchFlowControlStatusPortIndex",
            ],
            "description" :
                """The flow control status per port basis.""",
        }, # row
        "hpSwitchFlowControlStatusPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.13.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpSwitchFlowControlState" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.13.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "off" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "on" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "on-rx" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "on-tx" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Gets the current Flow Control State from hardware.""",
        }, # column
        "hpFECStatsTrunk" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14",
        }, # node
        "hpFECStatsTrunkTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1",
            "status" : "current",
            "description" :
                """A table that contains information about the
operational status of flow control on this switch.""",
        }, # table
        "hpFECStatsTrunkEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1.1",
            "status" : "current",
            "linkage" : [
                "hpFECStatsTrunkIndex",
            ],
            "description" :
                """The flow control status per port basis.""",
        }, # row
        "hpFECStatsTrunkIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The trunk Index value which uniquely identifies a
row in the Trunk Table.""",
        }, # column
        "hpFECStatsTrunkName" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1213-MIB", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The name of the trunk group""",
        }, # column
        "hpFECStatsTrunkNegotiationStatus" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "successful" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "failed" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "initialized" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Whether the trunk has been successfully negotiated""",
        }, # column
        "hpFECStatsTrunkForwardingMode" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "sa-only" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "sa-da" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "none" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Whether the trunk has been successfully negotiated""",
        }, # column
        "hpFECStatsTrunkFlushPktsEchoed" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.14.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of FEC flush packets echoed""",
        }, # column
        "hpFECStatsPort" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15",
        }, # node
        "hpFECStatsPortTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1",
            "status" : "current",
            "description" :
                """A table that contains information about the
operational status of flow control on this switch.""",
        }, # table
        "hpFECStatsPortEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1",
            "status" : "current",
            "linkage" : [
                "hpFECStatsPortIndex",
            ],
            "description" :
                """The flow control status per port basis.""",
        }, # row
        "hpFECStatsPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpFECStatsPortTrunkNumber" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The internal trunk ID""",
        }, # column
        "hpFECStatsPortTrunkName" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1213-MIB", "name" : "DisplayString"},
            },
            "access" : "readonly",
            "description" :
                """The name of the trunk group""",
        }, # column
        "hpFECStatsPortMode" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "blocking" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """FEC port mode""",
        }, # column
        "hpFECStatsPortNegotiationStatus" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "successful" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "failed" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "initialized" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """FEC port negotiation state""",
        }, # column
        "hpFECStatsPortHellosSent" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of FEC hello packets sent""",
        }, # column
        "hpFECStatsPortHellosReceived" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of FEC hello packets received""",
        }, # column
        "hpFECStatsPortMySlowHello" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "fast" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "slow" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Currently running fast or slow FEC hello state""",
        }, # column
        "hpFECStatsPortMyAutoMode" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "desirable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "auto" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """Silent partner mode""",
        }, # column
        "hpFECStatsPortPartner" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The address of the adjacent device(switch, router,
server, etc.)""",
        }, # column
        "hpFECStatsPortFlushPktsEchoed" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.15.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"RFC1155-SMI", "name" : "Counter"},
            },
            "access" : "readonly",
            "description" :
                """The number of FEC flush packets echoed""",
        }, # column
        "hpGvrpStats" : {
            "nodetype" : "node",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16",
        }, # node
        "hpGvrpStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1",
            "status" : "current",
            "description" :
                """A table that contains statistic information about
GVRP on any  given VLAN on the switch.""",
        }, # table
        "hpGvrpStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1.1",
            "status" : "current",
            "linkage" : [
                "hpGvrpStatsVlanIndex",
                "hpGvrpStatsPortIndex",
            ],
            "description" :
                """The information associated with each row in the
GVRP Statistics Table.""",
        }, # row
        "hpGvrpStatsVlanIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"STATISTICS-MIB", "name" : "VlanID"},
            },
            "access" : "readonly",
            "description" :
                """The value which uniquely identifies configuration
of a virtual LAN for which entry contains
information.""",
        }, # column
        "hpGvrpStatsPortIndex" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The ifIndex value which uniquely identifies a row
in the Interfaces Table.""",
        }, # column
        "hpGvrpStatsPortVlanMember" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "pending" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "yes" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "no" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This value reflects the state of the port with
respect to its membership in a VLAN""",
        }, # column
        "hpGvrpPortIfOperStatus" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current operational state of the interface.""",
        }, # column
        "hpPortGvrpCtrlStatus" : {
            "nodetype" : "column",
            "moduleName" : "STATISTICS-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.9.16.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "learn" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "block" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The status of Gvrp Control on this port.""",
        }, # column
    }, # nodes

}
